using Tiobon.Core.Common;
using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices
{	
	/// <summary>
	/// 课程(自定义服务接口)
	/// </summary>	
    public interface IGhre_CourseServices :IBaseServices<Ghre_Course, Ghre_CourseDto, InsertGhre_CourseInput, EditGhre_CourseInput>
	{

		Task<ServicePageResult<Ghre_CourseDto>> QueryList(QueryBody filter, string status);

		Task<ServiceResult<int>> QueryDeptID(int StaffID);
		Task<ServiceResult<CommonSelect>> QueryTeacher(long? linkId);
		Task<ServiceResult> UpdateStatus(long[] ids, string status);
    }
}